FKST Time Now
FKST is the abbreviation of Falkland Islands Standard Time. Time zone offset of FKST is UTC-03. Falkland Islands Standard Time is 3 hours behind from the UTC universal time. FKST current date is 17th Saturday October 2026. Current time in FKST (FKST).
FKST Time
17:27:52
17 October 2026 Saturday
FKST is the abbreviation of Falkland Islands Standard Time. This is the standard effective in the Falkland Islands, and it was synchronized with FAST (Summer time) in 2010. Currently, only a small part of the country (Camp) does not use this time standard. Falkland Islands Standard Time is 3 hours behind the UTC universal time.
What time is it in Falkland Islands Standard Time now? It is 17:27:52 right now.
Falkland Islands Standard Time Date and Time Now in Various Formats
| Date Time Format | FKST Date Time Now |
|---|---|
| UTC | 2026-10-17T17:27:52Z |
| ISO-8601 | 2026-10-17T17:27:52+0000 |
| RFC 2822 | Sat, 17 Oct 2026 17:27:52 +0000 |
| RFC 850 | Saturday, 17-Oct-26 17:27:52 UTC |
| RFC 1036 | Sat, 17 Oct 26 17:27:52 +0000 |
| RFC 1123 | Sat, 17 Oct 2026 17:27:52 +0000 |
| RFC 822 | Sat, 17 Oct 26 17:27:52 +0000 |
| RFC 3339 | 2026-10-17T17:27:52+00:00 |
| ATOM | 2026-10-17T17:27:52+00:00 |
| COOKIE | Saturday, 17-Oct-2026 17:27:52 UTC |
| RSS | Sat, 17 Oct 2026 17:27:52 +0000 |
| W3C | 2026-10-17T17:27:52+00:00 |
| Unix Epoch | 1792258072 |
| YYYY-DD-MM HH:MM:SS | 2026-17-10 17:27:52 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-17-10 05:27:52 PM |
| DD-MM-YYYY HH:MM:SS | 17-10-2026 17:27:52 |
| MM-DD-YYYY HH:MM:SS | 10-17-2026 17:27:52 |